> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger enricher execution for a specific end user

> Executes a specified enricher for an end user and returns the enrichment result.
The enrichment result is automatically saved to the database.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_user_enrichers/{end_user_heron_id}/enrich
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_enrichers/{end_user_heron_id}/enrich:
    post:
      tags:
        - EndUserEnrichers
      summary: Trigger enricher execution for a specific end user
      description: >
        Executes a specified enricher for an end user and returns the enrichment
        result.

        The enrichment result is automatically saved to the database.
      parameters:
        - description: The Heron ID of the end user to enrich
          example: eus_abc123
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                enricher_name:
                  description: The name of the enricher to execute
                  example: industry_prediction
                  type: string
              required:
                - enricher_name
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnricherResultSchema'
          description: Enricher executed successfully
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EnricherResultSchema:
      properties:
        enriched_at:
          format: date-time
          type: string
        enricher_name:
          type: string
        result:
          additionalProperties: {}
          type: object
        status:
          enum:
            - succeeded
            - failed
            - processing
            - missing_input_data
          type: string
      required:
        - enriched_at
        - enricher_name
        - status
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````